## org.apache.coyote.memory
Class MemoryProtocolHandler.ByteChunkOutputBuffer

    java.lang.Object
      org.apache.coyote.memory.MemoryProtocolHandler.ByteChunkOutputBuffer

All Implemented Interfaces:
  OutputBuffer

Enclosing class:
  MemoryProtocolHandler

protected class MemoryProtocolHandler.ByteChunkOutputBuffer
extends java.lang.Object
implements OutputBuffer

Field Summary
`protected ByteChunk` `output`

Constructor Summary
`MemoryProtocolHandler.ByteChunkOutputBuffer(ByteChunk output)`

Method Summary
`int` `doWrite(ByteChunk chunk, Response response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### output

    protected ByteChunk output

Constructor Detail

### MemoryProtocolHandler.ByteChunkOutputBuffer

    public MemoryProtocolHandler.ByteChunkOutputBuffer(ByteChunk output)

Method Detail

### doWrite

    public int doWrite(ByteChunk chunk,
                       Response response)
                throws java.io.IOException

  Specified by:
    `doWrite` in interface `OutputBuffer`
  Throws:
    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.